Description

Redmine 4.2.0 and later have query links for subtasks on an issue page (#28471). I think the "Related issues" section should also

have similar links.

Although there is no filter that can extract all types of related issues as mentioned in #28471, I think the new links can be

implemented by using the issue ids filter (#4806).
Related issues:

Related to Redmine - Feature #28471: Query links for subtasks on issue page Closed

Associated revisions

Revision 21200 - 2021-08-23 14:59 - Go MAEDA

Query links for related issues on issue page (#35559).

Patch by Takenori TAKAKI.

History

#1 - 2021-07-26 05:16 - Takenori TAKAKI

- File 35559.patch added

+1 Nice UI improvement.

I made a patch to implement this feature.

Please check the attached code.

#2 - 2021-07-26 22:36 - Marius BĂLTEANU

I would like to get more feedback from the users for this feature because I'm worried that we add too much information on the issue page.

#3 - 2021-07-27 06:02 - Mischa The Evil

Just my two cents: I think it makes sense to add this too given that #28471 got integrated.

#4 - 2021-07-29 15:21 - Holger Just

Mischa The Evil wrote:

Just my two cents: I think it makes sense to add this too given that #28471 got integrated.

 +1

We should just make sure that the style of the links is consistent in both places. The CSS change on the patch does not work correctly here. It should

look like this instead:

#issue_tree .issues-stat, #relations .issues-stat {font-size: 80%}

#issue_tree .issues-stat .badge, #relations .issues-stat .badge {bottom: initial;}

#5 - 2021-08-15 14:10 - Go MAEDA

- File 35559-v2.patch added

- Target version set to Candidate for next major release
Holger Just wrote:

We should just make sure that the style of the links is consistent in both places. The CSS change on the patch does not work correctly here. It

should look like this instead:

 Update the patch. Thank you.

#6 - 2021-08-19 16:00 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#7 - 2021-08-23 14:54 - Go MAEDA

- Related to Feature #28471: Query links for subtasks on issue page added

#8 - 2021-08-23 15:00 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.
